## libquazip 0.7.3

=== debian/changelog ===
libquazip (0.7.3-5ubuntu1) bionic; urgency=medium

  * Adjust symbols file for the -O3 case (Ubuntu/ppc64el).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Mar 2018 09:27:30 -0700

libquazip (0.7.3-5) unstable; urgency=medium

  * Enable arch build only
    Closes: #891242

 -- Andreas Tille <tille@debian.org>  Sun, 04 Mar 2018 21:02:42 +0100

libquazip (0.7.3-4) unstable; urgency=medium

  * Do not specify cmake version explicitly in debhelper install (Thanks for
    the patch to Adrian Bunk <bunk@debian.org>)
    Closes: #891222
  * debhelper 11
  * Standards-Version: 4.1.3
  * Fix installation of docs

 -- Andreas Tille <tille@debian.org>  Fri, 23 Feb 2018 17:10:42 +0100

libquazip (0.7.3-3) unstable; urgency=medium

  [ Alf Gaida <agaida@siduction.org> ]
  * libquazip5-1 depends on libquazip5-headers instead of libquazip-headers
    Closes: #884800
  * Install cmake files
    Closes: #778768
  * debhelper with --fail-missing

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2017 10:48:51 +0100

libquazip (0.7.3-2) unstable; urgency=medium

  * Add symbols files
    Closes: #758011
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Sun, 17 Dec 2017 17:05:25 +0100

libquazip (0.7.3-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * Fix dh_installchangelogs
    Closes: #876886
  * Remove unused lintian-override
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 26 Sep 2017 22:14:40 +0200
