=== debian/changelog ===
libquazip (0.7.6-6build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:06:38 +0100

libquazip (0.7.6-6) unstable; urgency=medium

  * Provide header files also in /usr/include/quazip

 -- Andreas Tille <tille@debian.org>  Fri, 29 Nov 2019 09:09:43 +0100

libquazip (0.7.6-5) unstable; urgency=medium

  * Remove obsolete fields Name from debian/upstream/metadata.
  * Rely on pre-initialized dpkg-architecture variables.
  * Fix day-of-week for changelog entries 0.4.4-1.
  * Add d-shlibmove override

 -- Andreas Tille <tille@debian.org>  Sat, 28 Sep 2019 08:30:05 +0200

libquazip (0.7.6-4) unstable; urgency=medium

  * Expected to pass new queue due to name change.  Since this is not
    the case doing a source only upload

 -- Alf Gaida <agaida@siduction.org>  Mon, 19 Aug 2019 14:37:06 +0200

libquazip (0.7.6-3) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to debhelper-compat (=12)
  * Removed obsolete build dependency libqt4-dev (Closes: #875026)
  * Bumped Standards-Version to 4.4.0, no changes needed
  * Removed Qt4 packages from control and fixed the description of Qt5 packages
  * Modified debian/rules to fit Qt5 only builds
  * Don't provide statically linked files anymore
  * Added the now needed install files
  * Fixed symbols for gcc-9
  * Added Build-Depends-Package field to symbols
  * Removed superfluous Section entry from libquazip5-1
  * Removed obsolete libquazip5-headers package, combined with -dev,
    -dev is useless without -headers and vice versa - and it doesn't hurt
    if a cmake file is installed in non-cmake builds. Set Breaks and Replaces.
  * Added myself to copyright
  * Added myself to uploaders

  [ Andreas Tille ]
  * Remove Eric Maeker from Uploaders (thanks to Eric for his initial work)
  * Set upstream metadata fields: Name.

 -- Alf Gaida <agaida@siduction.org>  Sun, 18 Aug 2019 16:14:48 +0200

libquazip (0.7.6-2) unstable; urgency=medium

  * Versioned Breaks: libquazip-qt5-1 (<= 0.7-2)
    Closes: #898957
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/rules

 -- Andreas Tille <tille@debian.org>  Thu, 20 Dec 2018 14:53:30 +0100

libquazip (0.7.6-1) unstable; urgency=medium

  * Project moved to Github
  * New upstream version
    Closes: #902786
  * Build-Depends: doxygen, graphviz
  * Some optional symbols were removed
  * Switch to d-shlibs

 -- Andreas Tille <tille@debian.org>  Sun, 01 Jul 2018 20:26:59 +0200

libquazip (0.7.3-7) unstable; urgency=medium

  [ Alf Gaida ]
  * Marked some symbols optional and described them as gcc8
    Closes: #897794

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Sun, 06 May 2018 15:55:07 +0200

libquazip (0.7.3-6) unstable; urgency=medium

  [ Steve Langasek ]
  * symbols adjustments to support build with -O3
    Closes: #893808

 -- Andreas Tille <tille@debian.org>  Thu, 29 Mar 2018 12:16:05 +0200
