=== debian/watch ===
version=4

https://github.com/stachenov/quazip/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@
