=== debian/changelog ===
libquazip (0.9.1-6) unstable; urgency=medium

  * QA upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Drop bits in rules for the future 1.1: quazip 1.x is already tracked by the
    separate src:libquazip1-qt5.
  * Switch away from d-shlibs, since it does not provide a lot of value:
    - add the dh-exec build dependency, needed to rename files in .install files
    - fill .install files according to the current content
    - drop the manual dh_install implementation
    - drop the d-shlibs build dependency, no more used now
    - drop the qtdeclarative5-dev, apparently needed because of d-shlibs
  * Drop the libxext-dev build dependency, not actually used.
  * Rely on the upstream version handling of dh_makeshlibs since compat 12:
    - drop the amd64 symbols file
    - drop the manual dh_makeshlibs invocation
  * Remove field Section on binary package libquazip5-1t64 that duplicates
    source.
  * Add the qtbase5-dev dependency in libquazip5-dev. (Closes: #1035478)
  * Move cleaning of the documentation to a debian/clean file.
  * Simplify and improve the building of the documentation:
    - run doxygen only when building also arch:all packages
    - move pruning of .md5 files right after the doxygen call; this way
      dh_installdocs will need to move less files
    - move the doxygen, and graphviz build dependencies as Build-Depends-Indep
  * Drop practically useless man page for the library.
  * Update lintian overrides.
  * Simplify installation of the NEWS.txt file:
    - drop manual dh_installchangelogs invocation, as the NEWS file is already
      installed by dh_installdocs
    - clean the copied NEWS file properly
  * Hardcode version for the conflicts with the pre-t64 libquazip5-1.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113193)

 -- Pino Toscano <pino@debian.org>  Mon, 29 Sep 2025 10:36:10 +0200

libquazip (0.9.1-5) unstable; urgency=medium

  * Team upload.
  * Add qtdeclarative5-dev as a build dependency (Closes: #1104498)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 23:20:48 +0200

libquazip (0.9.1-4) unstable; urgency=medium

  * QA upload.
  * debian/libquazip6-1t64.symbols: Fix symbols file on amd64 for time_t
    transition rename.
  * debian/control: Bump Standards-Version
  * debian/: Drop use of qmake and use cmake-based build system.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 31 Mar 2024 00:23:56 +0100

libquazip (0.9.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063134

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:26:49 +0000

libquazip (0.9.1-3) unstable; urgency=medium

  * QA (group) upload
  * Orphan package from Debian Med team maintenance, drop Uploaders
  * Move package from Debian Med Git to Debian
  * Set watch file to no-track since version 1.x is something else
    and separately packaged
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Nov 2022 09:46:42 +0100

libquazip (0.9.1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * override_dh_auto_test: Create test executable manually to pass test
  * Standards-Version: 4.6.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)

  [ Bas Couwenberg ]
  * Update symbols for gcc-11.
    Closes: #984206
  * Override dh_makeshlibs to use upstream version and not fail on changes.

 -- Andreas Tille <tille@debian.org>  Mon, 11 Oct 2021 21:43:56 +0200

libquazip (0.9.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Update symbols for gcc-10
    Closes: #957472

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jul 2020 15:48:10 +0200

libquazip (0.9-2) unstable; urgency=medium

  * Provide symbols only for amd64
    Closes: #960826

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 09:14:59 +0200

libquazip (0.9-1) unstable; urgency=medium

  [ Federico Ceratto ]
  * New upstream release

  [ Andreas Tille ]
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 16 May 2020 16:28:10 +0200
