=== debian/control ===
--- 
+++ 
@@ -1,36 +1,32 @@
 Source: libquazip
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>,
-           Stefan Ahlers <stef.ahlers@t-online.de>,
-           Alf Gaida <agaida@siduction.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               d-shlibs,
+Build-Depends: dpkg-dev (>= 1.22.5),
+               debhelper-compat (= 13),
+               dh-exec,
                cmake,
                qtbase5-dev,
-               qtchooser,
-               libxext-dev,
                zlib1g-dev,
-               doxygen,
-               graphviz
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/med-team/libquazip
-Vcs-Git: https://salsa.debian.org/med-team/libquazip.git
+Build-Depends-Indep: doxygen,
+                     graphviz,
+Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/libquazip
+Vcs-Git: https://salsa.debian.org/debian/libquazip.git
 Homepage: https://github.com/stachenov/quazip
 
-Package: libquazip5-1
+Package: libquazip5-1t64
 Architecture: any
 Multi-Arch: same
-Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Suggests: libquazip-doc
 Pre-Depends: ${misc:Pre-Depends}
+Conflicts: libquazip5-1 (<< 0.9.1-4~)
 Breaks: libquazip1-qt5
-Provides: libquazip1-qt5,
+Provides: ${t64:Provides}, libquazip1-qt5,
           libquazip-qt5-1
-Replaces: libquazip1-qt5,
+Replaces: libquazip5-1, libquazip1-qt5,
           libquazip-qt5-1
 Description: C++ wrapper for ZIP/UNZIP
  QuaZIP is a simple C++ wrapper over Gilles Vollant's ZIP/UNZIP package that
@@ -49,8 +45,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libquazip5-1 (= ${binary:Version}),
+Depends: libquazip5-1t64 (= ${binary:Version}),
          ${misc:Depends},
+         qtbase5-dev,
          zlib1g-dev
 Breaks: libquazip-qt5-1-dev (<= 0.7-2),
         libquazip-qt5-dev,
